Actualizar suscripción de webhook o rotar su secreto de firma
PATCH
/admin/developer/webhooks/{webhookId}
const url = 'https://api.matiasimpulso.com/admin/developer/webhooks/1';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","url":"https://example.com","events":["contact.created"],"active":true,"timeoutMs":1,"headers":{"additionalProperty":"example"},"rotateSecret":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.matiasimpulso.com/admin/developer/webhooks/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "url": "https://example.com", "events": [ "contact.created" ], "active": true, "timeoutMs": 1, "headers": { "additionalProperty": "example" }, "rotateSecret": true }'Authorizations
Sección titulada « Authorizations »Parameters
Sección titulada « Parameters »Path Parameters
Sección titulada « Path Parameters » webhookId
required
number
Request Bodyrequired
Sección titulada « Request Bodyrequired » Media type application/json
object
name
string
url
string format: uri
events
Array<string>
active
boolean
timeoutMs
number
headers
object
key
additional properties
string
rotateSecret
boolean
Responses
Sección titulada « Responses » Media type application/json
object
Example generated
{}